List all protection profiles
curl --request GET \
--url https://api.gcore.com/security/sifter/v3/profiles/all \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/security/sifter/v3/profiles/all"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/security/sifter/v3/profiles/all', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"client_id": 3,
"created_at": "2025-06-15T10:30:00Z",
"id": 10,
"modified_at": "2025-07-20T14:45:00Z",
"name": "Web Server Protection",
"networks": [
"192.168.1.0/24",
"10.0.0.0/16"
],
"template": {
"id": 1,
"name": "DDoS Protection Standard"
}
}
]{}{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Protection Profiles
List all protection profiles
List all protection profiles (filtered, sorted). Sorting by default is by ‘created_at’ field desc.
GET
/
security
/
sifter
/
v3
/
profiles
/
all
List all protection profiles
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Query Parameters
Filter by name
Maximum string length:
255A positive integer ID
Required range:
1 <= x <= 1000000000Ordering, e.g. 'created_at,name'
Maximum string length:
255Response
Successful Response
Identifier for the protection profile
Name of the protection profile
Associated profile template
Show child attributes
Show child attributes
Example:
{
"id": 1,
"name": "DDoS Protection Standard"
}
Timestamp when the profile was created
Identifier of the client owning this profile
Timestamp of the last modification
Was this page helpful?